View Issue Details

IDProjectCategoryView StatusLast Update
16606Bug reportsOtherpublic2021-04-20 17:41
Reporteruser225042Assigned ToJHoeck  
PrioritylowSeverityminor 
Status resolvedResolutionfixed 
Product Version4.3.11 
Summary16606: Blank page after granting user groups survey permissions.
Description1. Create User group and add 1-2 users
2. Access survey -> survey permissions
3. Add the created user group
4. Set survey rights/permissions, select the desired permissions (could be any) and save.
5. Blank page.
6. Try to go to any survey setting option -> only blank page.

You need to "exit" the survey (go to survey list), and access again the survey you were working on to be able to visualize the survey settings options.

P.s., Local/Survey Permissions are stored correctly.
P.s. 2, It affects both LS3 and LS4
TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

user225042

2020-08-20 17:06

  ~59566

Blank Page.png (84,185 bytes)   
Blank Page.png (84,185 bytes)   
JHoeck

JHoeck

2021-04-15 17:01

developer   ~63978

Fixed in branch: bug/16606-blank-page-after-granting-user-groups-survey-permissions
thedirtypanda

thedirtypanda

2021-04-20 17:41

reporter   ~64065

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31611

Related Changesets

LimeSurvey: master e383c2b1

2021-04-15 17:01:18

thedirtypanda

Details Diff
Fixed issue 16606: Blank page after granting user groups survey permissions Affected Issues
16606
mod - application/controllers/admin/surveypermission.php Diff File

Issue History

Date Modified Username Field Change
2020-08-20 16:24 user225042 New Issue
2020-08-20 16:24 user225042 Issue generated from: 15989
2020-08-20 17:06 user225042 Note Added: 59566
2020-08-20 17:06 user225042 File Added: Blank Page.png
2020-08-21 12:12 user225042 Status new => confirmed
2020-12-30 17:46 cdorin Priority none => low
2021-04-12 14:05 JHoeck Assigned To => JHoeck
2021-04-12 14:05 JHoeck Status confirmed => assigned
2021-04-12 15:02 JHoeck Status assigned => confirmed
2021-04-15 17:01 JHoeck Status confirmed => resolved
2021-04-15 17:01 JHoeck Resolution open => fixed
2021-04-15 17:01 JHoeck Note Added: 63978
2021-04-20 17:41 thedirtypanda Changeset attached => LimeSurvey master e383c2b1
2021-04-20 17:41 thedirtypanda Note Added: 64065